%define language de
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname German
%define name mozilla-firefox-%{locale}
%define version 1.5.0.4
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/products/firefox/
BuildRoot: %{_buildroot}
Requires: mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org

%changelog
* Fri Jun 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.4-1mdk
- New release 1.5.0.4

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.3-1mdk
- New release 1.5.0.3

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-2mdk
- Use real 1.5.0.2 xpi

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-2mdk
- Fix buildrequires

* Thu Feb 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.1-1mdk
- New release 1.5.0.1

* Wed Jan 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdk
- New release 1.5

* Tue Oct 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Mon May 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Run db rebuild script only when it exists

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4 

* Sat Apr 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.2-2mdk
- Really rebuild for 1.0.2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- make it architecture dependant to make x86_64 users happy

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- fix firefox version

* Sat Feb 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Thu Feb 17 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- fix bug #6574

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- fix rc file

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- merge fixes from the it package

* Thu Nov 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- initial package based on the fr one
